summaryrefslogtreecommitdiff
path: root/.travis/gtest_dlt_all.sh
diff options
context:
space:
mode:
authorBui Nguyen Quoc Thanh <49302843+thanhbnq@users.noreply.github.com>2022-06-29 16:39:16 +0700
committerGitHub <noreply@github.com>2022-06-29 16:39:16 +0700
commit419bd9d7e4ec92c696afac0653c6c6680367b9f9 (patch)
treee3c423075ae35685697f647a4d73b5ffdb281959 /.travis/gtest_dlt_all.sh
parent1ab05536359204732a9d06e4ec719039ed83d9ee (diff)
downloadDLT-daemon-419bd9d7e4ec92c696afac0653c6c6680367b9f9.tar.gz
Revert "Update for CI (#389)"revert-389-update_workflow_to_run_ctest
This reverts commit 1ab05536359204732a9d06e4ec719039ed83d9ee.
Diffstat (limited to '.travis/gtest_dlt_all.sh')
-rwxr-xr-x.travis/gtest_dlt_all.sh66
1 files changed, 66 insertions, 0 deletions
diff --git a/.travis/gtest_dlt_all.sh b/.travis/gtest_dlt_all.sh
new file mode 100755
index 0000000..8cae6a5
--- /dev/null
+++ b/.travis/gtest_dlt_all.sh
@@ -0,0 +1,66 @@
+#!/bin/bash
+################################################################################
+# SPDX license identifier: MPL-2.0
+#
+# Copyright (C) 2019, Advanced Driver Information Technology
+# This code is developed by Advanced Driver Information Technology.
+# Copyright of Advanced Driver Information Technology, Bosch and DENSO.
+#
+# This file is part of GENIVI Project DLT - Diagnostic Log and Trace.
+#
+# This Source Code Form is subject to the terms of the
+# Mozilla Public License (MPL), v. 2.0.
+# If a copy of the MPL was not distributed with this file,
+# You can obtain one at http://mozilla.org/MPL/2.0/.
+#
+# For further information see http://www.genivi.org/.
+################################################################################
+
+################################################################################
+#file : gtest_dlt_all.sh
+#
+#Description : Run all unit tests in Travis CI
+#
+#Author Name : Saya Sugiura
+################################################################################
+
+function gtest_run_test()
+{
+ LOG="../.travis/$1.log"
+
+ # Send all messsages and system errors to log file
+ export LIBC_FATAL_STDERR_=1
+
+ # Execute unit test
+ { ./$1 ;} > $LOG 2>&1
+
+ # Release
+ export LIBC_FATAL_STDERR_=0
+
+ # Check for result
+ grep "FAILED TEST\|core dumped" $LOG
+ if [ $? -eq 0 ]
+ then
+ cat $LOG
+ echo "$1 failed"
+ exit 1
+ fi
+ echo "$1 passed"
+}
+
+CTEST_OUTPUT_ON_FAILURE=1 make test
+
+pushd tests > /dev/null
+
+# Without General section in dlt_gateway.conf
+./gtest_dlt_daemon_gateway.sh > /dev/null
+gtest_run_test gtest_dlt_daemon_gateway
+
+# With General section in dlt_gateway.conf
+./gtest_dlt_daemon_gateway.sh -w > /dev/null
+gtest_run_test gtest_dlt_daemon_gateway
+
+./gtest_dlt_daemon_offline_log.sh > /dev/null
+gtest_run_test gtest_dlt_daemon_offline_log
+
+popd > /dev/null